net.fortuna.ical4j.util

## Class CompatibilityHints

- java.lang.Object
- - net.fortuna.ical4j.util.CompatibilityHints

    public final class CompatibilityHints
    extends Object

$Id$ Created on 9/03/2006 A set of keys used to enable compatibility features.

Author:
  Ben Fortuna

### Field Summary

Fields
`static String` `KEY_NOTES_COMPATIBILITY` A system property key used to enable compatibility with Lotus Notes-generated iCalendar files.
`static String` `KEY_OUTLOOK_COMPATIBILITY` A system property key used to enable compatibility with Outlook/Exchange-generated iCalendar files.
`static String` `KEY_RELAXED_PARSING` A system property key to enable relaxed parsing.
`static String` `KEY_RELAXED_UNFOLDING` A system property key to enable relaxed unfolding.
`static String` `KEY_RELAXED_VALIDATION` A system property key to enable relaxed validation.
`static String` `KEY_VCARD_COMPATIBILITY` Support for vCard features that are not necessarily compatible with the iCalendar standard.

### Method Summary

Methods
`static void` `clearHintEnabled(String key)`
`static boolean` `isHintEnabled(String key)`
`static void` `setHintEnabled(String key, boolean enabled)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### KEY_RELAXED_UNFOLDING

    public static final String KEY_RELAXED_UNFOLDING

A system property key to enable relaxed unfolding. Relaxed unfolding is enabled by setting this system property to "true".

See Also:
  Constant Field Values

#### KEY_RELAXED_PARSING

    public static final String KEY_RELAXED_PARSING

A system property key to enable relaxed parsing. Relaxed parsing is enabled by setting this system property to "true".

See Also:
  Constant Field Values

#### KEY_RELAXED_VALIDATION

    public static final String KEY_RELAXED_VALIDATION

A system property key to enable relaxed validation. Relaxed validation disables validation of certain conformance rules that many iCalendar implementations do not conform to. Relaxed validation is enabled by setting this system property to "true".

See Also:
  Constant Field Values

#### KEY_OUTLOOK_COMPATIBILITY

    public static final String KEY_OUTLOOK_COMPATIBILITY

A system property key used to enable compatibility with Outlook/Exchange-generated iCalendar files. Outlook compatibility is enabled by setting this system property to "true".

See Also:
  Constant Field Values

#### KEY_NOTES_COMPATIBILITY

    public static final String KEY_NOTES_COMPATIBILITY

A system property key used to enable compatibility with Lotus Notes-generated iCalendar files. Notes compatibility is enabled by setting this system property to "true".

See Also:
  Constant Field Values

#### KEY_VCARD_COMPATIBILITY

    public static final String KEY_VCARD_COMPATIBILITY

Support for vCard features that are not necessarily compatible with the iCalendar standard.

See Also:
  Constant Field Values

### Method Detail

#### setHintEnabled

    public static void setHintEnabled(String key,
                      boolean enabled)

Parameters:
  `key` - a compatibility hint key
  `enabled` - indicates whether to enable or disable the compatibility hint

#### clearHintEnabled

    public static void clearHintEnabled(String key)

Parameters:
  `key` - a compatibility hint key

#### isHintEnabled

    public static boolean isHintEnabled(String key)

Parameters:
  `key` - a compatibility hint key
Returns:
  true if the specified compatibility hint is enabled, otherwise false